<?php
use NCSU\Unity\UnityID;

class UnityIDTest extends \PHPUnit_Framework_Testcase
{
    /**
     * @test
     * @expectedException \InvalidArgumentException
     */
    public function it_squawks_when_invalid_unity_id_is_instantiated()
    {
        $uid = new UnityID('_foo.bar');
    }

    /** @test */
    public function it_returns_unity_id_when_treated_as_a_string()
    {
        $uid = new UnityID('pabarbb2');

        $this->assertEquals('pabarbb2', "{$uid}");
        $this->assertEquals('pabarbb2', (string) $uid);
    }
}
